#!/bin/bash

# Copies the necessary library files into the correct locations

set -e

sudo ln -sf ${PWD}/EyeSim /usr/local/bin/eyesim
sudo cp install/bin/gccsim /usr/local/bin/gccsim
sudo cp install/bin/g++sim /usr/local/bin/g++sim
sudo cp install/include/eyebot.h /usr/local/include/eyebot.h
sudo cp install/include/eyebot++.h /usr/local/include/eyebot++.h
sudo cp install/include/types.h /usr/local/include/types.h
sudo cp install/lib/libeyesim.a /usr/local/lib/libeyesim.a
sudo cp install/lib/libeyesim.so /usr/local/lib/libeyesim.so
sudo cp install/lib/eye.py /usr/lib/python3/dist-packages/eye.py

# Fix for /usr/local/lib not in LD_LIBRARY_PATH
echo "/usr/local/lib" | sudo tee -a /etc/ld.so.conf.d/local.conf > /dev/null
sudo ldconfig

echo -e "${GREEN}✔ Installation complete.${NC}"
